Italian Maven artifact not found: com.android.support/...

insoft

Member
Licensed User
Buongiorno a tutti e scusate il disturbo.
Sono una "capra" dal punto di vista Android e Java e comunque usando B4a e con le mie vecchie conoscente di basic bene o male sono riuscito a sviluppare un applicazione per la gestione degli interventi a domicilio di riparazione elettrodomestici.
Ora vorrei provare B4XPages e ad aggiungere la stampa di una ricevuta alla mia applicazione ma anche caricando i demo ho il maledetto errore:
" Maven artifact not found ....".
Sinceramente ho provato a "pasticciare" seguento i vari post che ho trovato su b4a ma non avendo conoscenze specifiche di Android non ho cavato un ragno dal buco.
Ho installato sia "installer_r24.4.1-windows" come sdk sia Android Studio caricando gli sdk delle versioni di Android fino alla 10 ma senza risultati.
Qualcuno ha del tempo da dedicarmi per aiutarmi ???
Ancora una piccola domanda da voi esperti : b4Xpages funziona su tutte le versioni di android anche vecchie o solo a partire da una certa versione.
Grazie in anticipo per l'aiuto che vorrete darmi.
 

insoft

Member
Licensed User
Scusate ancora una domanda da ignorante:
il fatto di mettere (C:\Android\platforms\android-28\android.jar) nel path di "android.jar" nella configurazione di B4A come spiegato nelle istruzioni di installazione (https://www.b4x.com/b4a.html) vuole dire che posso sviluppare app solo per smartphone che abbiano Android dalla versione 9 in su, giusto ???

E per le vecchie versioni di Android es. 5. la 6 o la 8 ???

Grazie ancora.
 

Star-Dust

Expert
Licensed User
Scusate ancora una domanda da ignorante:
il fatto di mettere (C:\Android\platforms\android-28\android.jar) nel path di "android.jar" nella configurazione di B4A come spiegato nelle istruzioni di installazione (https://www.b4x.com/b4a.html) vuole dire che posso sviluppare app solo per smartphone che abbiano Android dalla versione 9 in su, giusto ???

E per le vecchie versioni di Android es. 5. la 6 o la 8 ???

Grazie ancora.
No, hai il compilatore che compila per sdk fino alla versione 9.
Stabilisci con il manifest a quale versione minima e massima è indirizzata L'App.

Comunque puoi installare più versioni di sdk e quando serve (se servisse) cambiare le impostazioni della cartella
 

insoft

Member
Licensed User
No, hai il compilatore che compila per sdk fino alla versione 9.
Stabilisci con il manifest a quale versione minima e massima è indirizzata L'App.

Comunque puoi installare più versioni di sdk e quando serve (se servisse) cambiare le impostazioni della cartella
Grazie 1000
 
Top